egg (4.1.9-1) unstable; urgency=low

  * New upstream.  Remove SJ3.
  * debian/rules (EL_FILES): Remove egg-com.el, egg-sj3.el, egg-sj3rpc.el.
  * Remove old patches: debian/patches/00-debian-specific.patch,
    debian/patches/01-debian-its.patch,
    debian/patches/02-debian-canna.patch,
    debian/patches/03-debian-wnn.patch,
    debian/patches/04-debian-egg.patch.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 27 Apr 2015 12:24:51 +0900

egg (4.1.8-1) unstable; urgency=medium

  * New upstream.  Fix source code file format in UTF-8.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 Nov 2014 11:18:24 +0900

egg (4.1.7-1) UNRELEASED; urgency=low

  * New upstream.  Fix fence-mode behaviors (modefull).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 Nov 2014 10:24:28 +0900

egg (4.1.6-1) unstable; urgency=medium

  * New upstream.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 Nov 2014 17:04:51 +0900

egg (4.1.5-1) UNRELEASED; urgency=low

  * New upstream.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 Nov 2014 16:40:12 +0900

egg (4.1.4-1) UNRELEASED; urgency=low

  * New upstream.
  * debian/control (Depends): No, it's for Emacs24.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Nov 2014 12:02:26 +0900

egg (4.1.3-1) UNRELEASED; urgency=low

  * New upstream.
  * debian/rules (EL_FILES): Update.
  * debian/control (Depends): Emacs23 works as well.
  * debian/docs: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Nov 2014 11:28:53 +0900

egg (4.1.2-2) UNRELEASED; urgency=low

  * NEWS.Debian: New, addressing upstream status.
  * debian/rules: Only install Japanese support.
  * debian/control: anthy is now Depends (was: Suggests).
  * debian/emacsen-startup: Rename from egg-init.el, adding a part of
    leim-list.el.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Nov 2014 09:15:53 +0900

egg (4.1.2-1) UNRELEASED; urgency=low

  * New upstream.
  * debian/emacsen-compat: New, per new Debian Emacs policy.
  * debian/emacsen-remove: Updated following new Debian Emacs policy.
  * debian/emacsen-install: Likewise.  Remove loading jisx0213.el.
  * debian/rules: Remove installation of eggrc, Makefile and egg-init.el.
    Don't include its/aynu.el and its/thai.el as it requires huge stack to
    compile.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 05 Nov 2014 16:29:10 +0900

egg (4.1.1-1) UNRELEASED; urgency=low

  * New upstream.
  * debian/gbp.conf: New (per branch configuration of gbp).
  * debian/patches/0-debian-gbp.patch: Remove (as deprecated).
  * debian/patches/series: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 05 Nov 2014 09:53:37 +0900

egg (4.1.0-1) unstable; urgency=low

  * New upstream (Closes: #726593).
  * debian/compat: Upgrade to 9.
  * debian/control: Update.
  * debian/emacsen-install: Update for Emacs24
  * debian/egg-init.el: Update.
  * debian/source/format: New.
  * debian/patches/*: New (not used, though).
  * debian/README.Debian: Update.
  * debian/rules: Update.
  * debian/docs: Update.
  * debian/dirs: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 31 Oct 2014 13:27:59 +0900

egg (4.0.6+0.20041122cvs-19) unstable; urgency=low

  * fix load-path handling (to adapt debian-emacsen-policy section 9),
    closes: #671563

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sat, 05 May 2012 13:00:06 +0900

egg (4.0.6+0.20041122cvs-18) unstable; urgency=low

  * Emacs23 support code cleanup

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Mon, 09 Nov 2009 19:13:43 +0900

egg (4.0.6+0.20041122cvs-17) unstable; urgency=low

  * fixed byte compile problem on emacs22 (emacs22 support is now re-enabled)
  * replace emacs23-gtk to emacs23-lucid on dependency

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue, 03 Nov 2009 19:23:36 +0900

egg (4.0.6+0.20041122cvs-16) unstable; urgency=low

  * fix emacses-install script to fix emacs22 or before byte compile
    problem (emacs 22 or before support is dropped)
  * fix wnnrpc problem on 64bit plathome (enbugged on Wnn7 integration
    perhaps since 2002...), closes: #492539, #501802

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Mon, 26 Oct 2009 22:01:44 +0900

egg (4.0.6+0.20041122cvs-15) unstable; urgency=low

  * fix Wnn support on Emacs23 to apply patch from
    http://www.m17n.org/mlarchive/mule-ja/200703/msg00018.html
    closes: #543254
  * drop emacs22 support (because of above patch only works on
    emacs23 or later).

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Mon, 26 Oct 2009 19:09:32 +0900

egg (4.0.6+0.20041122cvs-14) unstable; urgency=low

  * add emacs23 support
  * bump Standerd-Version to 3.8.2.0

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sun, 02 Aug 2009 14:57:00 +0900

egg (4.0.6+0.20041122cvs-13) unstable; urgency=low

  * oops, Makefile called from emacsen-install script is broken,
    can not byte compile *.elc on all environment (expect on my machine..)
    Thanks reporing this problem, masy :-)

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Fri, 21 Nov 2008 02:22:03 +0900

egg (4.0.6+0.20041122cvs-12) unstable; urgency=low

  * drop emacs21 support
     - drop UNIX domain socket connect helper utility(this is only needed on
       emacs21 environment)
     - change architecture: any -> all
  * bump Standerd-Version to 3.8.0.1

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue, 18 Nov 2008 23:30:44 +0900

egg (4.0.6+0.20041122cvs-11) unstable; urgency=low

  * merge anthy support enhancements/fixes written by SHIRAI-san,
    (version 20070419 from http://www.meadowy.org/~shirai/),
    closes: #365415
  * update FSF's address in copyright

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Thu, 24 May 2007 13:57:16 +0900

egg (4.0.6+0.20041122cvs-10) unstable; urgency=low

  * adapt emacs22
  * fix debian/rules to clean up helper/egg-helper
  * cleanup debian/rules
  * bump Standerd-Version to 3.7.2.2

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue, 15 May 2007 14:41:55 +0900

egg (4.0.6+0.20041122cvs-9) unstable; urgency=low

  * add emacs-snapshot support

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sun,  7 Aug 2005 01:33:26 +0900

egg (4.0.6+0.20041122cvs-8) unstable; urgency=low

  * add missing dependency
    Pre-Depends: make

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Fri, 29 Apr 2005 14:03:43 +0900

egg (4.0.6+0.20041122cvs-7) unstable; urgency=low

  * update README.Debian

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue, 29 Mar 2005 18:27:00 +0900

egg (4.0.6+0.20041122cvs-6) unstable; urgency=low

  * description typo fix, thanks Tagoh...

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Wed, 23 Mar 2005 22:26:53 +0900

egg (4.0.6+0.20041122cvs-5) unstable; urgency=low

  * eggrc typo fix

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Mon, 28 Feb 2005 09:04:38 +0900

egg (4.0.6+0.20041122cvs-4) unstable; urgency=low

  * add egg-helper to connect IM server via UNIX domain socket
  * Architecture: all -> any (because egg-helper is architecture depend binary)
  * canna backend change to use egg-helper instead of icanna (of yc-el)
  * drop Suggests: yc-el

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Thu, 24 Feb 2005 03:11:27 +0900

egg (4.0.6+0.20041122cvs-3) unstable; urgency=low

  * fix canna inet connection error on Emacs 21.3,
    thanks Hajimu UMEMOTO :-)

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Thu, 24 Feb 2005 00:19:06 +0900

egg (4.0.6+0.20041122cvs-2) unstable; urgency=low

  * fix eggrc wnn7 entry
  * fix Wnn server connect error from client running on 64bit environment
    to server running on 32bit environment.
  * add Wnn8 support

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Wed, 23 Feb 2005 01:58:15 +0900

egg (4.0.6+0.20041122cvs-1) unstable; urgency=low

  * import changeset from unofficial tar archive([tamago:00643])
    - Add kana input support
    - Makefile.in cleanup
  * canna backend UNIX domain socket support
    (written by Tagoh, Ukai and me)
  * cleanup orig.tar.gz

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Thu, 10 Feb 2005 20:07:23 +0900

egg (4.0.6+0.20020909cvs-6) unstable; urgency=low

  * change dependency from `Depends: emacs21' to `Depends: emacs21-nox |
    emacs21' to solve tasksel Japanese problem (requested from Kenshi Muto)

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Mon,  2 Aug 2004 15:01:12 +0900

egg (4.0.6+0.20020909cvs-5) unstable; urgency=low

  * anthy support fix ([tamago:00639])

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sun, 18 Jul 2004 02:46:21 +0900

egg (4.0.6+0.20020909cvs-4) unstable; urgency=low

  * remove Depends: emacs20 (emacs20 was removed from Debian tree)

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Fri, 20 Feb 2004 00:11:29 +0900

egg (4.0.6+0.20020909cvs-3) unstable; urgency=low

  * remove Depends: emacs20-dl (emacs20-dl was removed from Debian tree)
    closes: #190828

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sat, 26 Apr 2003 19:25:11 +0900

egg (4.0.6+0.20020909cvs-2) unstable; urgency=low

  * change maintainer's email address
  * adapt policy 3.5.8.0
  * add suggects: canna|freewnn-jserver|freewnn-cserver|freewnn-kserver|anthy

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sun,  5 Jan 2003 14:29:37 +0900

egg (4.0.6+0.20020909cvs-1) unstable; urgency=low

  * update to current CVS (20020909)
  * emacsen-install cleanup

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Sat, 14 Sep 2002 14:51:20 +0900

egg (4.0.6+0.20020814cvs-1) unstable; urgency=low

  * update to current CVS (20020814)
    - add Anthy support

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Wed, 14 Aug 2002 00:44:32 +0900

egg (4.0.6+0.20020802cvs-1) unstable; urgency=low

  * update to current CVS (20020802)
    - its.el (its-previous-line): point-mim -> point-min (typo)
  
 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Fri,  2 Aug 2002 12:49:43 +0900

egg (4.0.6+0.20020722cvs-1) unstable; urgency=low

  * update to current CVS (20020722)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Tue, 23 Jul 2002 00:23:52 +0900

egg (4.0.6+0.20020720cvs-1) unstable; urgency=low

  * update to current CVS (20020720)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Sat, 20 Jul 2002 22:06:04 +0900

egg (4.0.6+0.20011201cvs-3.8) unstable; urgency=low

  * add wnn-set param functions for Wnn7

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Sat,  1 Jun 2002 02:41:39 +0900

egg (4.0.6+0.20011201cvs-3.7) unstable; urgency=low

  * Now Wnn7 jserver will be auto detected.
    but code is very very and very ad-hoc, (wara
  * update README.Debian about Wnn7

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Wed, 29 May 2002 02:14:12 +0900

egg (4.0.6+0.20011201cvs-3.6) unstable; urgency=low

  * fix wnn7 detection code (not complete yet)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Mon, 27 May 2002 22:12:32 +0900

egg (4.0.6+0.20011201cvs-3.5) unstable; urgency=low

  * replace wnn7rpc-call-with-environment -> wnnrpc-call-with-environment
  * replace wnn7rpc-get-result -> wnnrpc-get-result

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Fri, 24 May 2002 02:15:25 +0900

egg (4.0.6+0.20011201cvs-3.4) unstable; urgency=low

  * import some functions and modification from wnn7egg-rpc.el

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 03:54:49 +0900

egg (4.0.6+0.20011201cvs-3.3) unstable; urgency=low

  * wnn7 protocol command is added in wnnrpc.el

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 03:21:00 +0900

egg (4.0.6+0.20011201cvs-3.2) unstable; urgency=low

  * more bit of wnn7 support

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 03:13:02 +0900

egg (4.0.6+0.20011201cvs-3.1) unstable; urgency=low

  * change these functions in egg/wnn.el:
    (defsubst wnnenv-is-wnn6 (env)         (or (eq (wnnenv-get-wnn-version env) 'wnn7)
					   (eq (wnnenv-get-wnn-version env) 'wnn6)))
    (defsubst wnnenv-is-wnn7 (env)         (eq (wnnenv-get-wnn-version env) 'wnn7))

  * add ((eq c 'JLIB_VERSION_WNN7)  ?\x4f01) in egg/wnnrpc.el

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 02:57:55 +0900

egg (4.0.6+0.20011201cvs-3) unstable; urgency=low

  * add computer.dic entry in eggrc and add description about this
    in README.Debian
  * cleanup startup elisp file
  * change Priority: from optional to extra (adapt override file)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 02:40:28 +0900

egg (4.0.6+0.20011201cvs-2) unstable; urgency=low

  * add Wnn7 support (does not support full functions yet, please
    read README.Debian)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 23 May 2002 01:00:48 +0900

egg (4.0.6+0.20011201cvs-1) unstable; urgency=low

  * update to current CVS (2002/12/1)
  * import various patches from Tamago ML
    [tamago:00546] [tamago:00534] [tamago:00468]
  * import wnn7egg eggrc defines based on [tamago:00504]
  * import patch from Mule-ja ML
    [mule-ja:08306]
  * adapt emacsen-install to these update
  
 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Tue, 21 May 2002 22:16:36 +0900

egg (4.0.6+0.20010522cvs-4) unstable; urgency=low

  * cleanup description

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Tue,  7 May 2002 18:29:14 +0900

egg (4.0.6+0.20010522cvs-3) unstable; urgency=low

  * add README.Debian, note about ``egg does not support XEmacs''
    ``egg with canna'', closes: #143227, #143229

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Fri, 19 Apr 2002 12:06:06 +0900

egg (4.0.6+0.20010522cvs-2) unstable; urgency=low

  * update emacs-install file (cleanup .el directory after install)
  * fix typo in init.el

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Thu, 11 Oct 2001 23:02:46 +0900

egg (4.0.6+0.20010522cvs-1) unstable; urgency=low

  * Update to current CVS (20010522)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Wed, 10 Oct 2001 06:45:22 +0900

egg (4.0.6-5) unstable; urgency=low

  * New maintainer (take over from Takuo KITAME)
  * make distclean instead of make clean in clean target.
  * add Build-Depends-Indep: debhelper
  * update Standards-Version to 3.5.6.0

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Tue,  9 Oct 2001 12:25:27 +0900

egg (4.0.6-4) unstable; urgency=low

  * hopefully fixed canna problem...

 -- Takuo KITAME <kitame@northeye.org>  Tue, 10 Oct 2000 08:35:39 +0900

egg (4.0.6-3) unstable; urgency=low

  * remove egg/canna*, it still not work.
    (remove Conflicts: emacs-dl-canna)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 28 Sep 2000 07:28:19 +0900

egg (4.0.6-2) unstable; urgency=low

  * don't require egg and its/hira in init.el. (closes: Bug#64973)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 24 Aug 2000 11:32:45 +0900

egg (4.0.6-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Mon, 14 Feb 2000 10:09:38 +0900

egg (4.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@northeye.org>  Mon, 10 Jan 2000 20:57:27 +0900


